'use strict';

angular.module('adf.widget.electre.lavoisier')
.value('renderingTextList',{
    defaultRendering : 'txt',
    renderings : [
        'txt',
        'csv',
        'json',
        'jsonml',
        'ldif',
        'sql',
        'xml'

        /*DEVELOPPEUR*/
        /*'rowcol'*/
    ]
})
.controller('lavoisierTextEditCtrl',
    [
        '$scope', 'config', 'domService', 'renderingFactory', 'renderingTextList',
        function ($scope, config, domService, renderingFactory, renderingTextList) {
            config.fontSize = config.fontSize || "14";

            renderingFactory.createRenderingDomFromArray(renderingTextList, angular.element(document.getElementById('edit_form_div_lavoisier')), config);

            var text_size_option_template = [];
            for (var o = 1 , font_size_value = (6 + (o * 2))
                            ; o <= 8 ;
                    o++ , font_size_value = (6 + (o * 2)))
            {
                text_size_option_template[o-1] = {
                    attributes : { "value": font_size_value },
                    content : font_size_value
                };
            }
            var text_size_edit_template = {
                "div" : {
                    classes: "form-group",
                    attributes: {"ng-if" : "config.viewOk"},
                    children : {
                        "label" : {
                            attributes : { "for" : "text-edit-font-size" },
                            content : "Font Size"
                        },
                        "select" : {
                            attributes : {
                                "id" : "text-edit-font-size",
                                "ng-model" : "config.fontSize"
                            },
                            classes : "form-control",
                            children : { "option" : text_size_option_template }
                        }
                    }
                }
            };

            var text_size_dom = domService.json2dom(text_size_edit_template);
            /*angular.element(document.getElementById('edit_form_div_lavoisier')).append(text_size_dom);*/
        }
    ]
);